IcedTea-Web NetX

## net.sourceforge.jnlp
Enum UpdateDesc.Policy

    java.lang.Object
      java.lang.Enum<UpdateDesc.Policy>
          net.sourceforge.jnlp.UpdateDesc.Policy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<UpdateDesc.Policy>

Enclosing class:
  UpdateDesc

    public static enum UpdateDesc.Policy

extends java.lang.Enum<UpdateDesc.Policy>

Describes what to do when the Runtime knows there is an applicatFion update before the application is launched.

Enum Constant Summary
`ALWAYS` Default.
`PROMPT_RUN` Prompts the user asking to download and run the latest version of the application or abort running
`PROMPT_UPDATE` Prompt the user asking whether the user wants to download and run the updated application or run the version in the cache

Method Summary
`static UpdateDesc.Policy` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static UpdateDesc.Policy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALWAYS

    public static final UpdateDesc.Policy ALWAYS

  Default. Always download updates without any user prompt and then launch the application

### PROMPT_UPDATE

    public static final UpdateDesc.Policy PROMPT_UPDATE

  Prompt the user asking whether the user wants to download and run the updated application or run the version in the cache

### PROMPT_RUN

    public static final UpdateDesc.Policy PROMPT_RUN

  Prompts the user asking to download and run the latest version of the application or abort running

Method Detail

### values

    public static UpdateDesc.Policy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UpdateDesc.Policy c : UpdateDesc.Policy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UpdateDesc.Policy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

IcedTea-Web NetX

Submit a bug or feature